Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(60)

Issue 2144803002: Remove HTTP/0.9 support from HttpStreamParser. (Closed)

Created:
3 years, 1 month ago by mmenke
Modified:
3 years, 1 month ago
Reviewers:
Adam Rice, eroman, jwd
CC:
chromium-reviews, cbentzel+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove HTTP/0.9 support from HttpStreamParser. HTTP/0.9 is an ancient protocol with some fundamental design problems. This CL remove support for it, while leaving most of the code needed to support HTTP/0.9 in place, in case this has to be reverted late in the game, or we decide to add a (temporary) enterprise policy to enable it. BUG=624462 Committed: https://crrev.com/e2172e4b83ad33aef354618ce2e092db85baee1d Cr-Commit-Position: refs/heads/master@{#405687}

Patch Set 1 #

Patch Set 2 : Fix tests #

Patch Set 3 : Another fix #

Patch Set 4 : Update comments #

Total comments: 2

Patch Set 5 : Update histograms #

Patch Set 6 : Fix websockets tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -81 lines) Patch
M components/error_page/common/localized_error.cc View 1 chunk +7 lines, -0 lines 0 comments Download
M net/base/net_error_list.h View 1 chunk +4 lines, -0 lines 0 comments Download
M net/http/http_network_transaction_unittest.cc View 1 5 chunks +7 lines, -29 lines 0 comments Download
M net/http/http_stream_parser.cc View 1 2 3 2 chunks +7 lines, -2 lines 0 comments Download
M net/http/http_stream_parser_unittest.cc View 1 chunk +28 lines, -13 lines 0 comments Download
M net/url_request/url_request_http_job_unittest.cc View 1 1 chunk +0 lines, -29 lines 0 comments Download
M net/websockets/websocket_stream_test.cc View 1 2 3 2 chunks +2 lines, -3 lines 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/websocket/handshake-error-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/websocket/handshake-fail-by-maxlength-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/websocket/handshake-fail-by-prepended-null-expected.txt View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 4 chunks +6 lines, -2 lines 0 comments Download

Messages

Total messages: 22 (8 generated)
mmenke
Eric: WDYT? This CL deliberately does not rip out all traces of HTTP/0.9, in case ...
3 years, 1 month ago (2016-07-14 15:36:28 UTC) #2
mmenke
On 2016/07/14 15:36:28, mmenke wrote: > Eric: WDYT? This CL deliberately does not rip out ...
3 years, 1 month ago (2016-07-14 15:37:42 UTC) #3
eroman
* Can you update the histograms.xml? (I believe this is done by running https://chromium.googlesource.com/chromium/src/+/master/tools/metrics/histograms/update_net_error_codes.py) * ...
3 years, 1 month ago (2016-07-14 17:52:08 UTC) #4
mmenke
On 2016/07/14 17:52:08, eroman wrote: > * Can you update the histograms.xml? (I believe this ...
3 years, 1 month ago (2016-07-14 18:06:46 UTC) #5
mmenke
[+jwd]: Please review histograms.xml (It was just modified by running update_net_error_codes.py script)
3 years, 1 month ago (2016-07-14 18:09:00 UTC) #7
eroman
In the CL description: funamental --> fundamental Also looks like there are some layout test ...
3 years, 1 month ago (2016-07-14 18:48:35 UTC) #8
mmenke
On 2016/07/14 18:48:35, eroman wrote: > In the CL description: > funamental --> fundamental You ...
3 years, 1 month ago (2016-07-14 18:52:47 UTC) #10
jwd
histograms lgtm
3 years, 1 month ago (2016-07-14 19:52:35 UTC) #11
mmenke
[+ricea]: Please review websocket LayoutTests changes. Seems a bit unfortunate they they depend on the ...
3 years, 1 month ago (2016-07-14 20:53:43 UTC) #13
Adam Rice
On 2016/07/14 20:53:43, mmenke wrote: > [+ricea]: Please review websocket LayoutTests changes. Seems a bit ...
3 years, 1 month ago (2016-07-15 02:04:42 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2144803002/100001
3 years, 1 month ago (2016-07-15 02:40:55 UTC) #17
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 1 month ago (2016-07-15 03:16:48 UTC) #19
commit-bot: I haz the power
CQ bit was unchecked.
3 years, 1 month ago (2016-07-15 03:16:57 UTC) #20
commit-bot: I haz the power
3 years, 1 month ago (2016-07-15 03:20:35 UTC) #22
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/e2172e4b83ad33aef354618ce2e092db85baee1d
Cr-Commit-Position: refs/heads/master@{#405687}

Powered by Google App Engine
This is Rietveld 408576698